Bug 229937 - math/z3: Split out the python binding into a separate port
Summary: math/z3: Split out the python binding into a separate port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gleb Popov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-21 21:41 UTC by Yuri Victorovich
Modified: 2018-07-25 19:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (arrowd)


Attachments
patch (5.75 KB, patch)
2018-07-21 21:41 UTC, Yuri Victorovich
no flags Details | Diff
patch (5.88 KB, patch)
2018-07-22 02:14 UTC, Yuri Victorovich
no flags Details | Diff
patch (5.87 KB, patch)
2018-07-22 02:45 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-07-21 21:41:02 UTC
Created attachment 195347 [details]
patch

Hi Gleb,

The attached patch puts the python binding into a separate port.
The benefit is that the binding can be built for different versions of python, and it actually builds for both py27 and py36.

Additionally, the patch removes the CONFLICTS statement that isn't needed any longer.

If you wouldn't like to maintain math/py-m3 — no problem, I can maintain it, I just copied your e-mail there from z3.

I can commit it if you would like to, either way is okay for me.

Thanks!
Yuri
Comment 1 Yuri Victorovich freebsd_committer 2018-07-22 02:14:49 UTC
Created attachment 195355 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2018-07-22 02:45:45 UTC
Created attachment 195356 [details]
patch
Comment 3 commit-hook freebsd_committer 2018-07-24 21:03:59 UTC
A commit references this bug:

Author: yuri
Date: Tue Jul 24 21:03:50 UTC 2018
New revision: 475278
URL: https://svnweb.freebsd.org/changeset/ports/475278

Log:
  math/z3: Fix the python binding to work for all python versions

  The python binding is removed from math/z3 and placed into a separate
  port math/mpy-z3-solver that builds for all python versions.

  While here, remove the unnecessary CONFLICTS statement.

  PR:		229937
  Approved by:	portmgr

Changes:
  head/math/Makefile
  head/math/py-z3-solver/
  head/math/py-z3-solver/Makefile
  head/math/py-z3-solver/distinfo
  head/math/py-z3-solver/files/
  head/math/py-z3-solver/files/patch-setup.py
  head/math/py-z3-solver/pkg-descr
  head/math/z3/Makefile
  head/math/z3/pkg-plist
Comment 4 Yuri Victorovich freebsd_committer 2018-07-24 21:04:27 UTC
Committed.
Comment 5 Gleb Popov freebsd_committer 2018-07-25 06:12:34 UTC
Maintainer timeout is 14 days, IIRC. Do not hurry next time.

Why did you choose py-z3-solver as PORTNAME? Why not py-z3?
Comment 6 Yuri Victorovich freebsd_committer 2018-07-25 19:02:57 UTC
(In reply to Gleb Popov from comment #5)



> Maintainer timeout is 14 days, IIRC. Do not hurry next time.

Ok, sorry!

> Why did you choose py-z3-solver as PORTNAME? Why not py-z3?

Arch linux has py-z3-solver.
Comment 7 Gleb Popov freebsd_committer 2018-07-25 19:07:21 UTC
But it is FreeBSD and main port is called z3, so I find it counter-intuitive to have bindings called z3-solver. Could you please rename the port?
Comment 8 Yuri Victorovich freebsd_committer 2018-07-25 19:16:49 UTC
(In reply to Gleb Popov from comment #7)

Done!